#include <stdio.h>
#include <stdlib.h>

int main()
{
    int t;
    scanf("%d", &t);
    int n,m,k;
    char resenje[3*t];
    for(int j = 0; j<t*3; j+=3){
        int d=0;
        scanf("%d%d%d", &n, &m, &k);
        for(int i = 1; i<(n/k)+1; i++)
            d+=i*k;
        if(n%k)
            d+=((n/k)+1)*(n%k);
        if (d<m){
            resenje[j]='T';
            resenje[j+1]='a';
            resenje[j+2]='k';
        }
        else
        {
            resenje[j]='N';
            resenje[j+1]='i';
            resenje[j+2]='e';
        }
    }

    for(int i = 0; i<t*3; i+=3)
        printf("%c%c%c\n", resenje[i], resenje[i+1], resenje[i+2]);

    return 0;
}